
_MCU_Init:

	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	BSET	TRISB0_bit, BitPos(TRISB0_bit+0)
	BCLR	TRISD0_bit, BitPos(TRISD0_bit+0)
	CALL	_ADC1_Init
	MOV	#21, W8
	MOV	#22619, W7
L_MCU_Init0:
	DEC	W7
	BRA NZ	L_MCU_Init0
	DEC	W8
	BRA NZ	L_MCU_Init0
	CLR	W0
	MOV	W0, _current_duty
	MOV	#1, W13
	MOV	#1, W12
	MOV	#5000, W10
	MOV	#0, W11
	MOV	#2, W0
	PUSH	W0
	CALL	_PWM_Init
	SUB	#2, W15
	MOV.B	#1, W10
	CALL	_PWM_Start
	MOV	#1, W11
	MOV	_current_duty, W10
	CALL	_PWM_Set_Duty
L_end_MCU_Init:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _MCU_Init

_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 52
	MOV	#4, W0
	IOR	68

	PUSH	W10
	PUSH	W11
	CALL	_MCU_Init
L_main2:
	CLR	W10
	CALL	_ADC1_Read
	MOV	W0, _adc_result
	MOV	W0, _current_duty
	SL	W0, #2, W0
	MOV	#1, W11
	MOV	W0, W10
	CALL	_PWM_Set_Duty
	GOTO	L_main2
L_end_main:
	POP	W11
	POP	W10
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main
